<template>
  <v-card>
    <v-card-title>
      <v-text-field
        v-model="search"
        append-icon="mdi-magnify"
        label="Search"
        single-line
        hide-details
      ></v-text-field>
    </v-card-title>
    <v-data-table
      :headers="headers"
      :items="homicidios"
      :search="search"
    ></v-data-table>
  </v-card>
</template>

<script>
import store from "../store/index.js";

export default {
  data: () => {
    return {
      search: "",
      headers: [
        {
          text: "Homicidios COlombia",
          align: "start",
          filterable: false,
          value: "id",
        },
        { text: "Id", value: "id" },
        { text: "Año del hecho", value: "a_o_del_hecho" },
        {
          text: "Departamento del hecho",
          value: "departamento_del_hecho_dane",
        },
        { text: "Mes del hecho", value: "mes_del_hecho" },
        { text: "Municipio", value: "municipio_del_hecho_dane" },
      ],
    };
  },
  created: () => {
    //llamar las acciones del store vuex
    store.dispatch("getHomicidios");
  },
  computed: {
    homicidios: () => {
      return store.state.homicidios;
    },
  },
};
</script>

<style>
</style>